メインコンテンツへスキップ
GET
/
v3beta1
/
organizations
/
{org_id}
/
snapshot-setup
/
blueprints
/
{blueprint_id}
単一のブループリントを取得する
curl --request GET \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id} \
  --header 'Authorization: Bearer <token>'
{
  "blueprint_id": "<string>",
  "created_at": 123,
  "repo_name": "<string>",
  "type": "enterprise",
  "updated_at": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

権限

組織レベルのManageRepoBlueprints権限を持つサービスユーザーが必要です。

承認

Authorization
string
header
必須

サービスユーザーの認証情報(接頭辞: cog_)

パスパラメータ

blueprint_id
string
必須

レスポンス

成功レスポンス

公開 Blueprint リソースの形式。

注: type 列挙型には今後値が追加される可能性があります。クライアントは未知の値を必ず適切に処理する必要があります。YAML内容は GET /blueprints/{id}/contents で別途取得します。

blueprint_id
string
必須
created_at
integer
必須
repo_name
string | null
必須
type
enum<string>
必須
利用可能なオプション:
enterprise,
org,
repo
updated_at
integer
必須